ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceZoneDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<VoiceZone>
      - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceZoneDao

- All Implemented Interfaces:
    java.lang.AutoCloseable, Directory<VoiceZone>

      public class VoiceZoneDao
      extends ru.bitel.common.dao.AbstractIdDao<VoiceZone>
      implements Directory<VoiceZone>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceZoneDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VoiceZone` | `get(java.lang.String title)` Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    `protected VoiceZone` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<VoiceZone>` | `list()` Получение всего списка элементов из справочника
    `SearchResult<VoiceZone>` | `searchVoiceZone(SearchResult<VoiceZone> searchResult)`
    `protected void` | `updateImpl(VoiceZone b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

      `delete, get, update`

- - ### Constructor Detail

    - #### VoiceZoneDao

          public VoiceZoneDao(java.sql.Connection con,
                              int moduleId)

  - ### Method Detail

    - #### searchVoiceZone

          public SearchResult<VoiceZone> searchVoiceZone(SearchResult<VoiceZone> searchResult)
                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public VoiceZone get(java.lang.String title)
                        throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
      Specified by:
        `get` in interface `Directory<VoiceZone>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<VoiceZone> list()
                                         throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение всего списка элементов из справочника
      Specified by:
        `list` in interface `Directory<VoiceZone>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected VoiceZone getFromRS(java.sql.ResultSet rs)
                                 throws java.sql.SQLException,
                                        ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceZone>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(VoiceZone b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceZone>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`